﻿@model StarterProjectV2.ViewModels.LogList

@{
    ViewData["Title"] = "Log Management";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <style>
        div.pager {
            /*text-align: right;*/
            /*width: 60em;*/
            /*margin: 1em auto;*/
        }
    </style>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Log Management
}
<body style="background-color: oldlace">
    <div class="card p-2" style="margin-bottom: 0; ">
        <h2 class="text-center mt-3" style="color: indianred">@ViewData["Title"]</h2>
        <form class="form-inline mb-3 ml-3 d-flex justify-content-center">
            <input value="@Model.searchfield" id="searchfield" class="form-control" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-primary" type="button" onclick="search()">Search</button>

        </form>
        <div class="table-responsive-lg" style="display:block" id="table">

            <table id="mainTable" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                <thead style="color: white; background-color:#315152">
                    <tr>

                        <th scope="col">Created Date & Time</th>
                        <th scope="col">User Name / Slot Id</th>
                        <th scope="col">Short Message</th>
                        <th scope="col">View</th>
                    </tr>
                </thead>
                <tbody id="myTable">
                    @{
                        var idx1 = 0;
                    }
                    @{
                        int noOfdata = Model.Logs.Count();
                    }
                    @if (noOfdata != 0)
                    {
                        foreach (var log in Model.Logs)
                        {
                            <tr>
                                <td>@log.CreatedOn</td>
                                <td>@log.UserId</td>
                                <td>@log.ShortMessage</td>
                                <td>
                                    <button type="button" class="btn btn-light" data-toggle="tooltip" data-placement="bottom" title="View" onclick="location.href = '@Url.Action("LogView", "Log", new { Id = log.Id })'">

                                        <i class="icon-eye"> </i>
                                    </button>
                                </td>
                            </tr>
                            idx1++;
                        }
                    }

                </tbody>
            </table>
        </div>
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-dark" style="margin-bottom: 0"></table>
        </div>
        <div class="text-center" id="message">

        </div>
        @{
            int noOfAudits = Model.NoOfAudit;
        }
        @if (noOfAudits != 0)
        {
            <div class="pager" style="padding-top: 20px; direction:ltr; display:block;" align="center" id="pagination">

                <nav aria-label="Page navigation example">
                    <ul class="pagination justify-content-center flex-wrap">
                        @{
                            int prev_idx = Model.index - 1;
                        }
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)">« First</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.NoOfAudit)">« Previous</a></li>
                        @{
                            int idx = Model.index;
                            int next_idx = Model.index + 1;
                            int noOfAudit = Model.NoOfAudit;
                            if (noOfAudits < 10)
                            {
                                for (int i = 1; i <= noOfAudits; i++)
                                {
                                    <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                }
                            }
                            else
                            {
                                if (idx <= 5)
                                {
                                    if (noOfAudits < 10)
                                    {
                                        for (int i = 1; i <= noOfAudits; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                    else
                                    {
                                        for (int i = 1; i <= 10; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                }
                                else if (idx > 5 && idx <= (noOfAudits - 5))
                                {
                                    for (int i = idx - 4; i <= idx + 5; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }
                                }
                                else
                                {
                                    for (int i = noOfAudits - 9; i <= noOfAudits; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }

                                }
                            }
                        }
                        <li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @noOfAudits)">Next »</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.NoOfAudit)">Last »</a></li>
                    </ul>
                </nav>
            </div>
        }

    </div>
</body>

<script>
    var s2 = $("#searchfield").val();
    function search() {

        var s = $("#searchfield").val();
        redirect(s, 1);
    }

    function redirect(searchfield, index) {
        window.location.href = '../Log/LogManagement?searchfield=' + searchfield + '&index=' + index;

    }
</script>

<script>
    $("#" + @Model.index).addClass("active");
</script>

<script>
    function previous(i, n) {
        if (i >= 1) {
            redirect(s2, i);
        }
    }

    function next(i, n) {
        if (i <= n) {
            redirect(s2, i);
        }
    }

    function paginationPureJS(i) {

        redirect(s2, i);
    }
</script>





